Bug 643341 - memmem, strstr, and strcasestr are broken
Summary: memmem, strstr, and strcasestr are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On: 641128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-15 11:01 UTC by RHEL Program Management
Modified: 2022-07-09 05:16 UTC (History)
9 users (show)

Fixed In Version: glibc-2.12-1.7.el6_0.1
Doc Type: Bug Fix
Doc Text:
Previously, the generic implementation of the strstr() and memmem() functions did not handle certain periodic patterns correctly and could find a false positive match. This error has been fixed, and both functions now work as expected.
Clone Of:
Environment:
Last Closed: 2010-11-10 18:57:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0872 0 normal SHIPPED_LIVE Important: glibc security and bug fix update 2010-11-10 12:10:56 UTC

Description RHEL Program Management 2010-10-15 11:01:52 UTC
This bug has been copied from bug #641128 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Jaromir Hradilek 2010-10-15 14:19:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the generic implementation of the strstr() and memmem() functions did not handle certain periodic patterns correctly and failed to find a match. This error has been fixed, and both functions now work as expected.

Comment 5 Eric Blake 2010-10-15 14:27:49 UTC
The bug was false positive matches, not false negatives.  I updated the
technical note accordingly.

Comment 6 Eric Blake 2010-10-15 14:27:49 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the generic implementation of the strstr() and memmem() functions did not handle certain periodic patterns correctly and failed to find a match. This error has been fixed, and both functions now work as expected.+Previously, the generic implementation of the strstr() and memmem() functions did not handle certain periodic patterns correctly and could find a false positive match. This error has been fixed, and both functions now work as expected.

Comment 10 errata-xmlrpc 2010-11-10 18:57:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0872.html


Note You need to log in before you can comment on or make changes to this bug.